Bug 978438 - Session closed after migration
Session closed after migration
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.2.0
i686 Windows
high Severity high
: ---
: 3.3.0
Assigned To: Marc-Andre Lureau
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 11:34 EDT by Vaclav Ehrlich
Modified: 2016-10-04 00:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 08:59:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from host where I've migrated to (11.34 KB, text/plain)
2013-06-27 08:07 EDT, Vaclav Ehrlich
no flags Details

  None (edit)
Description Vaclav Ehrlich 2013-06-26 11:34:21 EDT
Description of problem:
After migration is virt-viewer closed and attempt of it's reopening ends with error 'Unable to connect to the graphic server'


Version-Release number of selected component (if applicable):
ming-virt-viewer 0.5.3-28
vdagent-win 0.1.18


How reproducible:
Always

Steps to Reproduce:
1.Connect to guest from RHEVM User portal
2.Migrate VM from RHEM Admin portal
3.Wait for the end of migration

Actual results:
ming-Virt-viewer is closed and it's impossible to connect again. User gets 'Unable to connect to the graphic server'error

Expected results:
ming-virt-viewer is not closed and user can work without any complications

Additional info:
Guest : Windows 7/32
Client: Windows 7/32

Event log(after migration):

GSpiceController: controller.vala:97: got HOST: 10.34.58.2
GSpiceController: controller.vala:101: got PORT: 5906
GSpiceController: controller.vala:109: got PASSWORD
Gtk: gtk_widget_show_all: assertion `GTK_IS_WIDGET (widget)' failed
GSpice: Could not connect to hyper01.spice.lab.eng.brq.redhat.com: An attempt was made to access a socket in a way forbidden by its access permissions.
Comment 1 Marc-Andre Lureau 2013-06-26 11:57:19 EDT
GSpice: Could not connect to hyper01.spice.lab.eng.brq.redhat.com: An attempt was made to access a socket in a way forbidden by its access permissions.

Why do you think this is client issue and not a network configuration issue?
Comment 2 Vaclav Ehrlich 2013-06-27 08:06:05 EDT
I guess. In logs on both hosts I've found nothing (append log from host where I've migrated to)
Comment 3 Vaclav Ehrlich 2013-06-27 08:07:02 EDT
Created attachment 766093 [details]
Log from host where I've migrated to
Comment 4 Marc-Andre Lureau 2013-06-27 08:18:05 EDT
There is no additional information from the host virt log.

Please investigate why the client received this error:

GSpice: Could not connect to hyper01.spice.lab.eng.brq.redhat.com: An attempt was made to access a socket in a way forbidden by its access permissions.

Try to connect to the destination after migration for instance?
Comment 5 Vaclav Ehrlich 2013-07-03 09:42:37 EDT
Just info. RHEL virt-viewer client holds the connection and the migration is successful.

Guest : Windows 7/32
Client: RHEL 6.4

Those logs I've provided are only logs which ming-virt-viewer provides for me.
Comment 6 Marc-Andre Lureau 2013-07-11 17:26:59 EDT
Please give more details on connection error. Try to connect to the destination after migration for instance?
Comment 7 Vaclav Ehrlich 2013-07-12 08:55:30 EDT
Something wrong was with my workstation. From other computer works fine. After reinstall workstation migration works without error. This bug could be closed.

Note You need to log in before you can comment on or make changes to this bug.